package br.com.somanumeros;

import android.app.Activity;
import android.app.AlertDialog;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import br.com.somanumeros.util.SystemUiHider;

/**
 * An example full-screen activity that shows and hides the system UI (i.e.
 * status bar and navigation/system bar) with user interaction.
 * 
 * @see SystemUiHider
 */
public class Main extends Activity {
	
	EditText ednumero1,ednumero2;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.main);
		
		ednumero1 = (EditText) findViewById(R.id.numero1);
		ednumero2 = (EditText) findViewById(R.id.numero2);
		
		Button btsomar = (Button) findViewById(R.id.btsomar);
		btsomar.setOnClickListener(new View.OnClickListener(){
			public void onClick(View arg0){
				double num1 = Double.parseDouble(ednumero1.getText().toString());
				double num2 = Double.parseDouble(ednumero2.getText().toString());
				double res = num1 + num2;
				
				AlertDialog.Builder dialogo = new AlertDialog.Builder(Main.this);
				dialogo.setTitle("Aviso");
				dialogo.setMessage("Soma: "+res);
				dialogo.setNeutralButton("OK", null);
				dialogo.show();
			}
		});

		//final View controlsView = findViewById(R.id.fullscreen_content_controls);
		//final View contentView = findViewById(R.id.fullscreen_content);

		// Set up an instance of SystemUiHider to control the system UI for
		// this activity.
		//mSystemUiHider = SystemUiHider.getInstance(this, contentView, HIDER_FLAGS);
		
	}
}
